Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanTraceListener

    public class XalanTraceListener
    extends java.lang.Object

## Constructor Summary

`XalanTraceListener(org.eclipse.wst.xsl.xalan.debugger.XalanDebugger debugger)`

## Method Summary

`public void` | `extension(org.apache.xalan.trace.ExtensionEvent ee)`
`public void` | `extensionEnd(org.apache.xalan.trace.ExtensionEvent ee)`
`public void` | `generated(org.apache.xalan.trace.GenerateEvent ev)`
`public Variable` | `getVariable(int id)`
`public void` | `selected(org.apache.xalan.trace.SelectionEvent ev)`
`public void` | `selectEnd(org.apache.xalan.trace.EndSelectionEvent ev)`
`public void` | `trace(org.apache.xalan.trace.TracerEvent ev)`
`public void` | `traceEnd(org.apache.xalan.trace.TracerEvent ev)`

## Constructor Detail

## XalanTraceListener

`public XalanTraceListener(org.eclipse.wst.xsl.xalan.debugger.XalanDebugger debugger)`

## Methods Detail

## extension

`public void extension(org.apache.xalan.trace.ExtensionEvent ee)`

### Parameters

`ee`

## extensionEnd

`public void extensionEnd(org.apache.xalan.trace.ExtensionEvent ee)`

### Parameters

`ee`

## generated

`public void generated(org.apache.xalan.trace.GenerateEvent ev)`

### Parameters

`ev`

## getVariable

`public Variable getVariable(int id)`

### Parameters

`id`

### Returns

`Variable`

## selected

`public void selected(org.apache.xalan.trace.SelectionEvent ev)`

### Parameters

`ev`

### Throws:

`javax.xml.transform.TransformerException`

## selectEnd

`public void selectEnd(org.apache.xalan.trace.EndSelectionEvent ev)`

### Parameters

`ev`

### Throws:

`javax.xml.transform.TransformerException`

## trace

`public void trace(org.apache.xalan.trace.TracerEvent ev)`

### Parameters

`ev`

## traceEnd

`public void traceEnd(org.apache.xalan.trace.TracerEvent ev)`

### Parameters

`ev`